Arch Remove: Difference between revisions

From FreeCAD Documentation
m (Added more 'SeeAlso' pages)
No edit summary
(One intermediate revision by the same user not shown)
Line 7: Line 7:
|[[Arch_Module|Arch]]
|[[Arch_Module|Arch]]
|IconL=Arch_Add.svg
|IconL=Arch_Add.svg
|IconC=Workbench_Arch.svg
|IconR=Arch_Survey.svg
|IconR=Arch_Survey.svg
|IconC=Workbench_Arch.svg
}}
}}


Line 15: Line 15:
|Name=Arch Remove
|Name=Arch Remove
|MenuLocation=Arch → Remove
|MenuLocation=Arch → Remove
|Workbenches=[[Arch Module|Arch]]
|Workbenches=[[Arch_Module|Arch]]
|SeeAlso=[[Arch CutLine|Arch CutLine]], [[Arch CutPlane|Arch CutPlane]], [[Arch Add|Arch Add]]
|SeeAlso=[[Arch_CutLine|Arch CutLine]], [[Arch_CutPlane|Arch CutPlane]], [[Arch_Add|Arch Add]]
}}
}}


Line 23: Line 23:
<!--T:3-->
<!--T:3-->
The Remove tools allows you to do 2 kinds of operations:
The Remove tools allows you to do 2 kinds of operations:
* Remove a subcomponent from an Arch object, for example remove a box that has been added to a wall, like in the {{Button|[[Image:Arch_Add.svg|16px]] [[Arch Add|Arch Add]]}} example.
* Remove a subcomponent from an Arch object, for example remove a box that has been added to a wall, like in the {{Button|[[Image:Arch_Add.svg|16px]] [[Arch_Add|Arch Add]]}} example.
* Subtract a [[Part Module|shape]]-based object from an Arch component such as a {{KEY|[[Image:Arch_Wall.svg|16px]] [[Arch Wall|Arch Wall]]}} or {{KEY|[[Image:Arch_Structure.svg|16px]] [[Arch Structure|Arch Structure]]}}
* Subtract a [[Part_Module|shape]]-based object from an Arch component such as a {{KEY|[[Image:Arch_Wall.svg|16px]] [[Arch_Wall|Arch Wall]]}} or {{KEY|[[Image:Arch_Structure.svg|16px]] [[Arch_Structure|Arch Structure]]}}


<!--T:13-->
<!--T:13-->
Line 89: Line 89:
|[[Arch_Module|Arch]]
|[[Arch_Module|Arch]]
|IconL=Arch_Add.svg
|IconL=Arch_Add.svg
|IconC=Workbench_Arch.svg
|IconR=Arch_Survey.svg
|IconR=Arch_Survey.svg
|IconC=Workbench_Arch.svg
}}
}}



Revision as of 14:37, 29 November 2020

Arch Remove

Menu location
Arch → Remove
Workbenches
Arch
Default shortcut
None
Introduced in version
-
See also
Arch CutLine, Arch CutPlane, Arch Add

Description

The Remove tools allows you to do 2 kinds of operations:

  • Remove a subcomponent from an Arch object, for example remove a box that has been added to a wall, like in the Arch Add example.
  • Subtract a shape-based object from an Arch component such as a Arch Wall or Arch Structure

The counterpart of this tool is the Arch Add tool.

A box subtracted from a wall, leaving a hole in it.

Usage

  1. Select a subcomponent inside an Arch object.
  2. Press the button, or Arch Remove from the top menu.

Or

  1. Select objects to be subtracted, the last object selected must the Arch object from which the other objects will be subtracted.
  2. Press the button, or Arch Remove from the top menu.

Scripting

See also: Arch API and FreeCAD Scripting Basics.

The Remove tool can be used in macros and from the Python console by using the following function:

removeComponents(objectsList, host=None)
  • Removes the given objects in objectsList from their parents.
  • If a host object is specified, this function will try adding the objects in objectsList as holes to the host.

Example:

import FreeCAD, Draft, Arch

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 900
Box.Width = 450
Box.Height = 2000
FreeCAD.ActiveDocument.recompute()

Draft.rotate(Box, 45)
Draft.move(Box, FreeCAD.Vector(1000, 700, 0))

Arch.removeComponents(Box, Wall)
FreeCAD.ActiveDocument.recompute()